﻿@model  ProgramCreateEditModelStep3

@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='ProgramAddEditStep2({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1 ng-if="Model.SaveType == 'Draft'">
                Add ({{Model.Name}})
            </h1>
            <h1 ng-if="Model.SaveType == 'Publish'">
                Edit ({{Model.Name}})
            </h1>
           
        </div>
        <div class="actions">
        </div>

        <div class="clearfix"></div>

        <hr />
    </div>

    <nav class="step-navigator breadcrumbs" ng-include src="'/Dashboard/_ProgramAddEditStepNavigation'"></nav>

    <div>

        <fieldset>
            <legend>Registration form</legend>
            <span class="message">The system provides one registration form called Default. User must fill out this form when they register for your programs. You can edit this form and customize the fields. Note: When you make a change to a form, all  programs that have the same form will inherit the changes.</span>

            <div class="two-third place-left">
                <div class="one-third place-left">
                    <label class="margin-top10">Registration form</label>
                </div>
                <div class="two-third place-right" @Html.AngValidationClass("model.formTemplate")>
                    <div class="input-control select" data-role="input-control" @Html.AngTooltipValidation("model.formTemplate")>
                        <select ng-model="@Html.Ang(model => model.FormTemplate)" ng-options="obj.Value as obj.Text for obj in Model.FormTemplates"></select>
                    </div>
                </div>
            </div>

            @*
                <div class="place-left one-third text-right">
                    <a class="button large default" ui-sref='Form({formType: "Registration", templateId: Model.FormTemplate})'>Preview/customize form</a>
                </div>
            *@

            <div class="place-left one-third text-right">
                <a class="button default" ng-click="goCustomizeForm()" style="width: 200px;">Manage registration forms</a>
            </div>


        </fieldset>

        <fieldset>
            <legend>Follow-up forms</legend>
            <span class="message">A follow-up form is a form to capture more information from users after they have filled out the registration form and paid for the program.</span>
            <div class="place-left two-third">
                <div class="input-control select" data-role="input-control">

                    <select chosen multiple
                            ng-model="@Html.Ang(m => m.SelectedForms)"
                            data-placeholder="Select follow-up forms"
                            ng-options="obj.Value as obj.Text for obj in Model.AllFollowUpForms"></select>
                </div>
            </div>
            <div class="place-left one-third text-right">
                <a class="button default" ng-click="goFollowUpForms()" style="width: 200px;">Manage follow-up forms</a>
            </div>
        </fieldset>

        <fieldset>
            <legend>Waivers</legend>
            <span class="message">Select all the waivers that users have to agree to before they can complete their registration.</span>
            <div class="place-left two-third">
                <div class="input-control select" data-role="input-control">
                    <select chosen multiple 
                            ng-model="@Html.Ang(m => m.SelectedWaivers)"
                            data-placeholder="Select waivers"
                            ng-options="obj.Value as obj.Text for obj in Model.AllWaivers"></select>
                </div>
            </div>
            <div class="place-left one-third text-right">
                <a class="button default" ng-click="goWaivers()" style="width: 200px;">Manage waivers</a>
            </div>
        </fieldset>

    </div>

    <hr />
    <a ng-if="Model.TypeCategory != 'Subscription'" class="place-left button large link" ui-sref='ProgramAddEditStep2({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId: MC.stateParams.programId})'>Back</a>
    <a ng-if="Model.TypeCategory == 'Subscription'" class="place-left button large link" ui-sref='SubscriptionAddEditStep2Point5({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId: MC.stateParams.programId})'>Back</a>
    <a class="success place-right large button" ng-click="saveStep3()">Save & continue</a>
    <div class="clearfix"></div>
</div>

<style>
    .chosen-drop .chosen-results {
        max-height: 100px;
    }
</style>

